Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render
[Groovy] Class AbstractRenderContext

    java.lang.Object
      grails.rest.render.AbstractRenderContext

All Implemented Interfaces:
  RenderContext

    @groovy.transform.CompileStatic
    abstract class AbstractRenderContext
    extends java.lang.Object

Abstract implementation of RenderContext

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.Map` | `arguments`
`java.util.List` | `excludes`
`java.util.List` | `includes`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### arguments

    java.util.Map arguments

### excludes

    java.util.List excludes

### includes

    java.util.List includes

Groovy Documentation